Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIdType Class Reference

`#include <vtkIdType.h>`

## Detailed Description

Integer type used for point and cell IDs.

Date:
  2002/12/31 18:11:00

Revision:
  1.3

vtkIdType is the integer type used for point and cell identification. This type may be either 32-bit or 64-bit, depending on whether VTK_USE_64BIT_IDS is defined.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkIdType.h)`
  - .`cxx` (`/Common/vtkIdType.cxx)`

Examples:
  vtkIdType (Examples)

Tests:
  vtkIdType (Tests)

The documentation for this class was generated from the following file:

- Common/vtkIdType.h